[![Published on webcomponents.org](https://img.shields.io/badge/webcomponents.org-published-blue.svg)](https://www.webcomponents.org/element/htmlelements/smart-listbox)

# &lt;smart-listbox&gt;

[Live Demo ↗](https://htmlelements.com/demos/listbox/)
|
[Documentation ↗](https://www.htmlelements.com/docs/listbox/)
|
[Installation ↗](https://www.npmjs.com/package/@smarthtmlelements/smarthtmlelements-core)

[&lt;smart-listbox&gt;](https://htmlelements.com/demos/listbox/) is a listbox Custom HTML Element that make it easy to select and switch between different list items, part of the [Smart HTML Elements](https://htmlelements.com/).

<!--
```
<custom-element-demo>
  <template>
    <script src="../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../smart-core/source/smart.element.js"></script>
    <script src="../smart-core/source/smart.button.js"></script>
    <script src="../smart-core/source/smart.scrollbar.js"></script>
    <script src="../smart-core/source/smart.listbox.js"></script>
    <link rel="stylesheet" href="../smart-core/source/styles/smart.base.css" type="text/css" />
    <link rel="stylesheet" href="../smart-core/source/styles/smart.material.css" type="text/css" />
     <next-code-block></next-code-block>
  </template>
</custom-element-demo>
```
-->
```html
 <smart-list-box class='material'>
     <smart-list-item selected value="1">Item 1</smart-list-item>
     <smart-list-item value="2">Item 2</smart-list-item>
     <smart-list-item value="3">Item 3</smart-list-item>
 </smart-list-box>
```

[<img src="https://raw.githubusercontent.com/htmlelements/smart-listbox/master/smart-listbox.gif" alt="Screenshot of smart-list-box, using the Material theme">](https://htmlelements.com/demos/listbox)

## Getting Started

Smart HTML Elements components documentation includes getting started, customization and api documentation topics.

[Getting Started Documentation](https://www.htmlelements.com/docs/listbox/)
|
[CSS Documentation](https://www.htmlelements.com/docs/listbox-css/)
|
[API Documentation](https://www.htmlelements.com/docs/listbox-api/)


## The file structure for Smart HTML Elements

- `source-minified/`

  Javascript files.

- `source-minified/styles/`

  Component CSS Files.

- `demos/`

  Demo files

## Running demos in browser

1. Fork the `Smart-HTML-Elements-Core` repository and clone it locally.

1. Make sure you have [npm](https://www.npmjs.com/) installed.

1. When in the `Smart-HTML-Elements-Core` directory, run `npm install` and then `bower install` to install dependencies.

1. Run a localhost or upload the demo on a web server. Then run:

  - /demos/smart-button/smart-button-overview.htm


## Following the coding style

We are using [ESLint](http://eslint.org/) for linting JavaScript code. 

## Creating a pull request

  - Make sure your code is compliant with ESLint
  - [Submit a pull request](https://www.digitalocean.com/community/tutorials/how-to-create-a-pull-request-on-github) with detailed title and description
  - Wait for response from one of our team members


## License

Apache License 2.0
